Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.olafpanz.translationtable
Enum TranslationDataType

    java.lang.Object
      java.lang.Enum<TranslationDataType>
          de.olafpanz.translationtable.TranslationDataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TranslationDataType>

     enum TranslationDataType

extends java.lang.Enum<TranslationDataType>

Defines all type of translations.

Author:
  Olaf Panz

Enum Constant Summary
`Accelerator` Create an accelerator, use prefix "AC_" and create object
`EclipseRCP` Type is eclipse RCP
`Mnemonic` Create a mnemonic, use Character as object.
`Text` Create translation entry for plain text, use prefix "TX_"
`Tooltip` Create a tooltip, use prefix "TT_"

Field Summary
`private boolean` | `isInResourceBundle` True, if this element is part of resource bundle.
`private java.lang.String` | `prefix` The prefix, needed for generation

Method Summary
`java.lang.String` | `getPrefix()`
`boolean` | `isInResourceBundle()`
`static TranslationDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TranslationDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Text

    public static final TranslationDataType Text

  Create translation entry for plain text, use prefix "TX_"

### Tooltip

    public static final TranslationDataType Tooltip

  Create a tooltip, use prefix "TT_"

### Accelerator

    public static final TranslationDataType Accelerator

  Create an accelerator, use prefix "AC_" and create object

### Mnemonic

    public static final TranslationDataType Mnemonic

  Create a mnemonic, use Character as object.

### EclipseRCP

    public static final TranslationDataType EclipseRCP

  Type is eclipse RCP

Field Detail

### prefix

    private final java.lang.String prefix

  The prefix, needed for generation

### isInResourceBundle

    private final boolean isInResourceBundle

  True, if this element is part of resource bundle.

Method Detail

### values

    public static TranslationDataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TranslationDataType c : TranslationDataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TranslationDataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isInResourceBundle

    public boolean isInResourceBundle()

  Returns:
    True, if this element is part of resource bundle.

### getPrefix

    public java.lang.String getPrefix()

  Returns:
    The prefix, needed for generation

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD